# Function applyOverrides

- applyOverrides<N>(network, overrides?): WormholeConfig

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  #### Parameters

  - ##### network: N

  - ##### `Optional` overrides: RecursivePartial<WormholeConfig<"Mainnet" | "Testnet" | "Devnet", "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm">>

  #### Returns WormholeConfig

  - Defined in connect/src/config.ts:52

Generated using TypeDoc